%define         gkplugname             gkrellm-plugins-%{name}

Name:           wmforkplop
Version:        0.9.3
Release:        %mkrel 11
Summary:        Yet another dockapp to monitor the kernel forks
License:        GPLv2
Group:          Monitoring

URL:            http://hules.free.fr/wmforkplop/
Source0:        http://hules.free.fr/wmforkplop//%{name}-%{version}.tar.gz

Patch0:         %{name}-0.9.3-makefile_am.patch
Patch1:         %{name}-0.9.3-configure_ac.patch
Patch2:		wmforkplop-0.9.3-automake-1.13.patch
Patch3:		wmforkplop-0.9.3-cflags.patch

BuildRequires:  pkgconfig(gtk+-2.0) >= 2.0.0
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gkrellm)

Requires:       fonts-ttf-freefont
Requires:       fonts-ttf-bitstream-vera

%description
Wmforkplop is yet another dockapp for WindowMaker, or any
windowmanager/desktop environment that handles dock applications (KDE
has a dock bar extension, and gnome swallows). It is a mixture between
wmhdplop and the great wmtop: wmforkplop monitors your processes by
sending visual stimuli to your cortex each time your kernel forks or
kills a process. Try to compile a kernel and enjoy the wmforkplop
show!

%package -n %gkplugname
Summary:        Gkrellm port of the WindowMaker dock application wmforkplop
Group:          Monitoring
Requires:       gkrellm
Provides:       %{name}-gkrellm-plugins = %{version}-%{release}

%description -n %gkplugname
%{summary}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf --force --install
%configure
%make

%install
%make_install
install -d -m0755 %{buildroot}%{_libdir}/gkrellm2/plugins
install -m0644 .libs/gkforkplop.so %{buildroot}%{_libdir}/gkrellm2/plugins

%files
%doc README INSTALL AUTHORS NEWS TODO COPYING ChangeLog
%{_bindir}/wmforkplop

%files -n %gkplugname
%doc README INSTALL AUTHORS NEWS TODO COPYING ChangeLog
%{_libdir}/gkrellm2/plugins/gkforkplop.so


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.9.3-11.mga8
+ Revision: 1518198
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.9.3-10.mga7
+ Revision: 1301692
- Mageia 7 Mass Rebuild

* Mon Sep 04 2017 cjw <cjw> 0.9.3-9.mga7
+ Revision: 1151207
- rebuild for new libgtop
- fix debug packages

* Mon Feb 01 2016 umeabot <umeabot> 0.9.3-8.mga6
+ Revision: 930011
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-7.mga5
+ Revision: 739775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-6.mga5
+ Revision: 690338
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 eatdirt <eatdirt> 0.9.3-5.mga5
+ Revision: 630541
- Rebuilt for new libgtop

* Fri Oct 18 2013 umeabot <umeabot> 0.9.3-4.mga4
+ Revision: 520291
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 fwang <fwang> 0.9.3-3.mga3
+ Revision: 385979
- br gkrellm
- fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.9.3-2.mga3
+ Revision: 314644
- Rebuild for mga3

* Sat Sep 03 2011 obgr_seneca <obgr_seneca> 0.9.3-1.mga2
+ Revision: 138236
- imported package wmforkplop


* Wed Jun 28 2011 Chris Ringeval <dirteat@gmail.com> 0.9.3-1.mga1
- import wmforkplop + patches for solving dependencies issues for gkforkplop.so

